/* --- analog_Bend_Sensor  ----
 *
 *   Hardware Setup- 
        - One leg of bend sensor to 5V an the other to breadboard row 
        - 10k resistor from Gnd to breadboard row
        - wire breadboard row to Analog pin A5
 *
 *-------------------------------------------------------------------------*/

int a_in;               // create variable for storing analog readings
int sensorPin = A4;     // variable for analog pin as A1

void setup() {
  Serial.begin(9600);
}
void loop() {
// --- read Sensor, store in variable
  a_in = analogRead(sensorPin);          // get 10 bit analog value
  a_in = constrain(a_in, 845, 860);     // First read raw data from sensor, then uncomment this
  a_in = map(a_in, 845, 860, 0, 255);  // scale/map to servo positions (0 - 180)

  Serial.println(a_in);
  delay(50);                          // easier to read screen
}
